Bug 979732 - SELinux is preventing /usr/lib64/xulrunner/plugin-container from 'getattr' accesses on the file /usr/sbin/smbd.
SELinux is preventing /usr/lib64/xulrunner/plugin-container from 'getattr' ac...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:e03d18fb14ae3c26e4c2638dbe8...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-29 21:35 EDT by Terry A. Hurlbut
Modified: 2013-10-25 09:18 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-25 09:18:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Terry A. Hurlbut 2013-06-29 21:35:18 EDT
Description of problem:
Attempted to download
SELinux is preventing /usr/lib64/xulrunner/plugin-container from 'getattr' accesses on the file /usr/sbin/smbd.

*****  Plugin mozplugger (99.1 confidence) suggests  *************************

If you want to use the plugin package
Then you must turn off SELinux controls on the Firefox plugins.
Do
# setsebool unconfined_mozilla_plugin_transition 0

*****  Plugin catchall (1.81 confidence) suggests  ***************************

If you believe that plugin-container should be allowed getattr access on the smbd file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep plugin-containe /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
                              0.c1023
Target Context                system_u:object_r:smbd_exec_t:s0
Target Objects                /usr/sbin/smbd [ file ]
Source                        plugin-containe
Source Path                   /usr/lib64/xulrunner/plugin-container
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           xulrunner-22.0-1.fc18.x86_64
Target RPM Packages           samba-4.0.6-3.fc18.x86_64
Policy RPM                    selinux-policy-3.11.1-97.fc18.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.9.6-200.fc18.x86_64 #1 SMP Thu
                              Jun 13 18:56:55 UTC 2013 x86_64 x86_64
Alert Count                   2
First Seen                    2013-06-29 21:29:45 EDT
Last Seen                     2013-06-29 21:29:45 EDT
Local ID                      7d8f5c54-2ccd-4130-b3d4-df51215d694a

Raw Audit Messages
type=AVC msg=audit(1372555785.771:476): avc:  denied  { getattr } for  pid=23628 comm="plugin-containe" path="/usr/sbin/smbd" dev="dm-0" ino=9731 scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=system_u:object_r:smbd_exec_t:s0 tclass=file


type=SYSCALL msg=audit(1372555785.771:476): arch=x86_64 syscall=stat success=no exit=EACCES a0=7fd15c273a18 a1=7fff4214bc30 a2=7fff4214bc30 a3=0 items=0 ppid=21072 pid=23628 auid=1000 uid=1000 gid=5000 euid=1000 suid=1000 fsuid=1000 egid=5000 sgid=5000 fsgid=5000 ses=17 tty=(none) comm=plugin-containe exe=/usr/lib64/xulrunner/plugin-container subj=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 key=(null)

Hash: plugin-containe,mozilla_plugin_t,smbd_exec_t,file,getattr

audit2allow

#============= mozilla_plugin_t ==============
allow mozilla_plugin_t smbd_exec_t:file getattr;

audit2allow -R
require {
	type smbd_exec_t;
	type mozilla_plugin_t;
	class file getattr;
}

#============= mozilla_plugin_t ==============
allow mozilla_plugin_t smbd_exec_t:file getattr;


Additional info:
reporter:       libreport-2.1.4
hashmarkername: setroubleshoot
kernel:         3.9.6-200.fc18.x86_64
type:           libreport
Comment 1 Daniel Walsh 2013-07-01 06:18:57 EDT
Did the plugin you were using have something to do with Samba?  Did the plugin succeed?

Note You need to log in before you can comment on or make changes to this bug.